50 Games Like xDasher

Updated:

Healing Spree, Clan N, and Space Drift Squad are our top selection to play today.

The latest addition in this selection are Cyber Badminton 2020 released the 13 November 2020 and ranked #45, Slime with a Sword released the 9 November 2020 and ranked #36, Orbit Outlaws released the 4 November 2020 and ranked #44.

50 Games like xDasher daily generated comparing over 40 000 video games across all platforms.
This suggestion collection includes local multiplayer games for Android, IOS (iPhone / iPad), Win Mobile, PS4 (Playstation 4), Xbox One, Switch, PC Windows, Mac OS and Linux. The order in this selection is not absolute, but the best games tends to be up in the list.

Logo of the video game xDasher

A couch coop game where 1-4 players set off into a dim dungeon. Your quest is to eliminate all monsters lurking within by dashing through the monsters with the proper color. Eventually, you will be haunted by a ghoulish, four-headed beast and must face it in a thrilling boss fight.

5# The Expendabros - 2015

Review95Score

The Expendabros have assembled and set their sights on the forces of ruthless arms dealer Conrad Stonebanks in the forests of Eastern Europe. Battle in a flurry of bullets and non-stop action through ten full-throttle missions set amongst the picturesque tree tops and the absurdly dangerous lumber mills teeming with enemy soldiers,...

The Expendabros similarities with xDasher:

6# TowerFall - 2018

Review86Score

TowerFall Ascension is the definitive version of the hit archery combat game. Inspired by classics from the golden age of couch multiplayer, it's a 4-player local party game centering around hilarious, intense versus matches. The core mechanics are simple and accessible, but hard to master and combat is fierce.

TowerFall similarities with xDasher:

8# Crawl - 2017

Review81Score

Crawl is the local multiplayer dungeon crawler where your friends control the monsters! Battle through dungeons and power up your hero - if a friend kills you they take your place and it’s their turn to crawl. It's a race to gain enough XP and loot to take on the hulking final boss!

Crawl similarities with xDasher:

9# Towerfall: Ascension - 2013

Review85Score

TowerFall Ascension is the definitive version of the hit archery combat game. Inspired by classics from the golden age of couch multiplayer, it's a 4-player local party game centering around hilarious, intense versus matches. The core mechanics are simple and accessible, but hard to master and combat is fierce.

Towerfall: Ascension similarities with xDasher:

12# Cook, Serve, Delicious! 3 - 2020

Review85Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Cook, Serve, Delicious! 3 similarities with xDasher:

14# Jet Set Knights - 2016

ReviewNDScore

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Jet Set Knights similarities with xDasher:

21# Basketing - 2020

ReviewNDScore
Screenshot of the video game Basketing
Screenshot of the video game Basketing
Screenshot of the video game Basketing

Early Access

Basketing is the youngest sibling of Volleying! Thus, as another physics-based game, it also gives the players more control over their moves, delivering unique matches each round. Invite your friends over or play remotely and enjoy this predictably unpredictable experience!

Basketing similarities with xDasher:

22# Bloody Zombies - 2017

Review74Score

Fight across the ruins of London using carefully refined Free-Form Combat, taking down a terrifying variety of mutated zombies with an expanding special move-set. Created for 1-4 players, for online and offline play, Bloody Zombies is also enhanced with HTC Vive and Oculus Rift.

Bloody Zombies similarities with xDasher:

24# Hungry Horace - 2020

ReviewNDScore

8-bit hero Horace is often considered the unofficial mascot of the ZX Spectrum. In later years he’d go skiing and battle spiders, but the 1982 game Hungry Horace – now remastered on Steam for your gaming pleasure – saw him run around a maze eating flowers, ringing alarms and avoiding angry parkies.

Hungry Horace similarities with xDasher:

12 sept 2018 - New comment system! Drop us a line